#include <glib.h>

G_BEGIN_DECLS

#define MC_QUARK_REQUESTED_PRESENCE mc_quark_requested_presence()
GQuark mc_quark_requested_presence(void);

#define MC_QUARK_CURRENT_PRESENCE mc_quark_current_presence()
GQuark mc_quark_current_presence(void);

#define MC_QUARK_AUTOMATIC_PRESENCE mc_quark_automatic_presence()
GQuark mc_quark_automatic_presence(void);

#define MC_QUARK_DISPLAY_NAME mc_quark_display_name()
GQuark mc_quark_display_name(void);

#define MC_QUARK_NORMALIZED_NAME mc_quark_normalized_name()
GQuark mc_quark_normalized_name(void);

#define MC_QUARK_ICON mc_quark_icon()
GQuark mc_quark_icon(void);

#define MC_QUARK_NICKNAME mc_quark_nickname()
GQuark mc_quark_nickname(void);

#define MC_QUARK_ENABLED mc_quark_enabled()
GQuark mc_quark_enabled(void);

#define MC_QUARK_VALID mc_quark_valid()
GQuark mc_quark_valid(void);

#define MC_QUARK_HAS_BEEN_ONLINE mc_quark_has_been_online()
GQuark mc_quark_has_been_online(void);

#define MC_QUARK_CONNECT_AUTOMATICALLY mc_quark_connect_automatically()
GQuark mc_quark_connect_automatically(void);

G_END_DECLS
